<template>
  <VumikForm class="space-y-6" v-model="formData" @submit="tryRegister()">
    <div class="grid grid-cols-1 gap-y-6 gap-x-4 sm:grid-cols-6">
      <div class="sm:col-span-3">
        <label for="role" class="block text-sm font-medium text-gray-700">
          Investor
        </label>
        <div class="mt-1">
          <VumikInput type="radio" name="role" value="investor" />
        </div>
      </div>
      <div class="sm:col-span-3">
        <label for="role" class="block text-sm font-medium text-gray-700">
          Entrepreneur
        </label>
        <div class="mt-1">
          <VumikInput type="radio" name="role" value="entrepreneur" />
        </div>
      </div>
      <div class="sm:col-span-3">
        <label for="email" class="block text-sm font-medium text-gray-700">
          Email
        </label>
        <div class="mt-1">
          <VumikInput type="email" name="email" placeholder="example@footeam.fr" />
        </div>
      </div>
      <div class="sm:col-span-3">
        <label for="name" class="block text-sm font-medium text-gray-700">
          Name
        </label>
        <div class="mt-1">
          <VumikInput type="text" name="name" />
        </div>
      </div>
      <div class="sm:col-span-6">
        <label for="password" class="block text-sm font-medium text-gray-700">
          Password
        </label>
        <div class="mt-1">
          <VumikInput type="password" name="password" />
        </div>
      </div>
      <div class="sm:col-span-6">
        <label for="repeatPassword" class="block text-sm font-medium text-gray-700">
          Repeat password
        </label>
        <div class="mt-1">
          <VumikInput type="password" name="repeatPassword" />
        </div>
      </div>
      <div class="sm:col-start-5 sm:col-span-1 self-center justify-self-end">
          <router-link to="/" class="whitespace-nowrap text-base font-medium text-gray-500 hover:text-gray-900">Cancel</router-link>
      </div>
      <div class="sm:col-start-6 sm:col-span-1">
          <VumikInput type="submit" value="Send" />
      </div>
    </div>
  </VumikForm>
</template>

<script>
import { mapActions } from 'vuex'

export default {
  name: 'Account',
  props: ['nextStep'],
  data () {
    return {
      formData: {
        email: '',
        name: '',
        password: '',
        repeatPassword: '',
        role: ''
      }
    }
  },
  methods: {
    tryRegister () {
      this.register(this.formData)
    },
    ...mapActions('auth', ['register'])
  }
}
</script>
